
From: Brice Goglin <Brice.Goglin@ens-lyon.org>

It looks like dlm assumes that CONFIG_DLM_DEBUG is set.  The attached patch
fixes this.

Cc: Dave Teigland <teigland@redhat.com>
Cc: Patrick Caulfield <pcaulfie@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/main.c |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN drivers/dlm/main.c~dlm-debug-fs-no-debug-build-fix drivers/dlm/main.c
--- 25/drivers/dlm/main.c~dlm-debug-fs-no-debug-build-fix	Wed May 25 15:02:55 2005
+++ 25-akpm/drivers/dlm/main.c	Wed May 25 15:02:55 2005
@@ -19,8 +19,20 @@
 #include "memory.h"
 #include "lowcomms.h"
 
+#ifdef CONFIG_DLM_DEBUG
 int dlm_register_debugfs(void);
 void dlm_unregister_debugfs(void);
+#else
+int dlm_register_debugfs(void)
+{
+	return 0;
+}
+
+void dlm_unregister_debugfs(void)
+{
+}
+#endif
+
 int dlm_node_ioctl_init(void);
 void dlm_node_ioctl_exit(void);
 
_
